=== modified file 'bzrlib/tests/test_utextwrap.py'
--- bzrlib/tests/test_utextwrap.py	2011-05-28 06:44:01 +0000
+++ bzrlib/tests/test_utextwrap.py	2012-04-17 12:18:27 +0000
@@ -171,16 +171,6 @@
 
 
     def setup_both(testcase, base_class, reused_class):
-
-        if (features.sphinx.available()):
-            # Until https://bitbucket.org/birkenfeld/sphinx/issue/706 is fixed,
-            # we can't run these tests when sphinx <= 1.0.1 as it breaks
-            # textwrap.TextWrapper.wordsep_re
-            version = tuple(map(int,
-                                features.sphinx.module.__version__.split('.')))
-            if version <= (1, 0, 7):
-                raise tests.TestSkipped(
-                    'sphinx textwrap monkeypatch breaks utextwrap')
         super(base_class, testcase).setUp()
         override_textwrap_symbols(testcase)
         reused_class.setUp(testcase)

=== modified file 'doc/en/release-notes/bzr-2.6.txt'
--- doc/en/release-notes/bzr-2.6.txt	2012-04-16 11:08:11 +0000
+++ doc/en/release-notes/bzr-2.6.txt	2012-04-17 12:18:27 +0000
@@ -67,10 +67,9 @@
 Testing
 *******
 
-.. Fixes and changes that are only relevant to bzr's test framework and 
-   suite.  This can include new facilities for writing tests, fixes to 
-   spurious test failures and changes to the way things should be tested.
-
+* Fix test failures by removing a remaining reference to ``features.sphinx``
+  which isn't needed anymore since we don't test the texinfo sphinx builder
+  anymore either. (Vincent Ladeuil)
 
 bzr 2.6b1
 #########

